Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

assistant_id
string
required

Response

200 - application/json
id
string
required
object
enum<string>
required
Available options:
assistant
created_at
integer
required
name
string | null
required
Maximum string length: 256
description
string | null
required
Maximum string length: 512
model
string
required
instructions
string | null
required
Maximum string length: 256000
tools
(Code interpreter tool · object | FileSearch tool · object | Function tool · object)[]
required
Maximum array length: 128
metadata
object | null
required
tool_resources
object | null
temperature
number | null
default:1
Required range: 0 <= x <= 2
top_p
number | null
default:1
Required range: 0 <= x <= 1
response_format
Available options:
none,
auto
Last modified on September 18, 2026